<%@ Application Language="C#" %>
<script runat="server" >
public void Session_Start(object sender, EventArgs e)
{

		HttpContext Ctx = HttpContext.Current;

		Uri uri = Ctx.Request.Url;
		String url = uri.Authority;
		switch (url.Trim()) {

			case "localhost":
				if ( true)
				{				
					Session ["APPID"] = "LOCAL";						
				}
				break;	
			case "remote domain":
				if ( true)
				{				
					Session ["APPID"] = "REMOTE";						
				}
				break;	
			default:
				break;
		}	

}
public void Application_BeginRequest(object sender, EventArgs e)
{
}
public void Application_Error(object sender, EventArgs e)
{

	    HttpApplication App = (HttpApplication)sender;
		HttpContext Ctx = HttpContext.Current;

		Uri uri = Ctx.Request.Url;
		String url = uri.Authority;
		Boolean EnableEmail=false;
		switch (url.Trim()) {	
			case "localhost":
				  if ( EnableEmail )
				  {
					  string mess= "Error in Path :"+Request.Path ; //Get the path of the page
					  mess+="\n\n Error Raw Url :"+Request.RawUrl ; //Get the QueryString along with the Virtual Path
					
					  //Create an Exception object from the Last error that occurred on the server
					  Exception myError =Server.GetLastError(); 
					
					  mess+="\n\n Error Message :"+myError.Message; //Get the error message
					  mess+="\n\n Error Source :"+myError.Source;  //Source of the message
					  mess+="\n\n Error Stack Trace :"+myError.StackTrace; //Stack Trace of the error
					  mess+="\n\n Error TargetSite :"+myError.TargetSite; //Method where the error occurred
					
					  //Create a Mail Message
					  System.Web.Mail.MailMessage errorMessage = new System.Web.Mail.MailMessage();
					  errorMessage.To ="";
					  errorMessage.Cc ="";
					  errorMessage.From="";
					  errorMessage.Subject=url+": automated Error Reporting!";
					  errorMessage.Body=mess;
					  //Send the message
					  if (errorMessage.To != "")
					  {
					  	System.Web.Mail.SmtpMail.Send(errorMessage); 
					  }
				  }
				break;

			default:
				break;
		}	
}
</script>